## sozi 11.07

=== Makefile ===

VERSION := $(shell date +%y.%m-%d%H%M%S)

PLAYER_JS := $(wildcard player/*.js)
EXTRAS_JS := $(wildcard extras/*.js)

#MINIFY_OPT += --nomunge

MINIFY := juicer merge --skip-verification --arguments "$(MINIFY_OPT)" --force

SRC := $(wildcard */*.py) \
	$(wildcard */*.inx) \
	$(wildcard doc/install*.html) \
	$(wildcard doc/*license.txt) \
	$(wildcard extras/*.js) \
	player/sozi.js \
	player/sozi.css

TARGET := $(addprefix release/, $(notdir $(SRC)))

INSTALL_DIR := $(HOME)/.config/inkscape/extensions

TIMESTAMP := release/sozi-timestamp-$(VERSION)

.PHONY: zip verify minify install timestamp clean

zip: release/sozi-release-$(VERSION).zip

verify: $(PLAYER_JS) $(EXTRAS_JS)
	juicer verify $^

minify: release/sozi.js release/sozi.css

install: $(TARGET)
	cp release/*.inx $(INSTALL_DIR)
	cp release/*.py $(INSTALL_DIR)
	cp release/*.js $(INSTALL_DIR)
	cp release/*.css $(INSTALL_DIR)

timestamp: release/sozi-timestamp-$(VERSION)

$(TIMESTAMP):
	touch $@
	
release/sozi-release-$(VERSION).zip: $(TARGET)
	cd release ; zip $(notdir $@) $(notdir $^)

release/sozi.js: $(PLAYER_JS)
	$(MINIFY) --output $@ player/sozi.js

release/%.css: player/%.css
	$(MINIFY) --output $@ $<

release/%.js: extras/%.js
	$(MINIFY) --output $@ $<

release/%.py: editor/%.py $(TIMESTAMP)
	sed "s/{{SOZI_VERSION}}/$(VERSION)/g" $< > $@

release/%.py: extras/%.py $(TIMESTAMP)
	sed "s/{{SOZI_VERSION}}/$(VERSION)/g" $< > $@

release/%: doc/%
	cp $< $@

release/%.inx: editor/%.inx
	cp $< $@

release/%.inx: extras/%.inx
	cp $< $@

clean:
	rm -f $(TARGET) release/sozi-timestamp-*

=== debian/changelog ===
sozi (11.07-1) unstable; urgency=low

  * Initial release (Closes: #638533)

 -- Kan-Ru Chen <koster@debian.org>  Sun, 18 Sep 2011 14:38:45 +0800

=== debian/control ===
Source: sozi
Section: graphics 
Priority: optional
Maintainer: Kan-Ru Chen <koster@debian.org>
Build-Depends: debhelper (>= 8.0.0), yui-compressor
Standards-Version: 3.9.2
Homepage: http://sozi.baierouge.fr/wiki/en:welcome
Vcs-Git: git://git.debian.org/collab-maint/sozi.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sozi.git;a=summary

Package: sozi
Architecture: all
Depends: ${misc:Depends}, inkscape, python, python-gtk2
Description: inkscape extension for creating animated presentations
 Unlike in most presentation applications, a Sozi document is not
 organized as a slideshow, but rather as a poster where the content of
 your presentation can be freely laid out. Playing such a presentation
 consists in a series of translations, zooms and rotations that allow
 to focus on the elements you want to show.
 .
 A Sozi presentation is an SVG document in which a sequence of “frames”
 is defined. A frame is a rectangular region of the document associated
 with presentation and animation information (e.g. title, ordering,
 transition duration).
 .
 The presentation editor is an extension for the Inkscape vector
 graphics editor. It means that you can create an entire presentation,
 graphics and animation, within a single environment.
 .
 Documents produced by Inkscape and Sozi can be displayed and animated
 by web browsers supporting the SVG format, and the Javascript
 language. The user can control the presentation using the mouse and
 keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	mkdir release
	make

override_dh_auto_clean:
	rm -rf release

override_dh_auto_install:

%:
	dh $@

## sozi 12.05

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(sozi)

################################################################################
### Compute the sozi version with the current date
################################################################################

IF (WIN32)
    # FIXME
    EXECUTE_PROCESS(COMMAND "cmd" " /C date /T" OUTPUT_VARIABLE SOZI_VERSION)
    STRING(REGEX REPLACE "(..)/(..)/..(..).*" "\\3\\2\\1" SOZI_VERSION ${SOZI_VERSION})
ELSEIF(UNIX)
    EXECUTE_PROCESS(COMMAND "date" "+%y.%m-%d%H%M%S" OUTPUT_VARIABLE SOZI_VERSION)
    STRING(REPLACE "\n" "" SOZI_VERSION ${SOZI_VERSION})
ELSE (WIN32)
    MESSAGE(SEND_ERROR "date not implemented")
    SET(SOZI_VERSION 000000)
ENDIF (WIN32)

#MESSAGE(STATUS "SOZI_VERSION=${SOZI_VERSION}")

################################################################################
### Recurse to subfolders
################################################################################

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(player)
ADD_SUBDIRECTORY(editors)

################################################################################
### Packaging
################################################################################

SET(CPACK_PACKAGE_NAME                "sozi")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Sozi is a zooming presentation program")
SET(CPACK_PACKAGE_VERSION             "${SOZI_VERSION}")

SET(CPACK_GENERATOR                   "TGZ")
SET(CPACK_ARCHIVE_COMPONENT_INSTALL   "ON")
SET(CPACK_COMPONENTS_GROUPING         "IGNORE")

INCLUDE(CPack)

=== Makefile ===

VERSION := $(shell date +%y.%m-%d%H%M%S)

PLAYER_JS := $(wildcard player/js/*.js)
EXTRAS_JS := $(wildcard player/extras/*.js)

#MINIFY_OPT += --nomunge

JUICER_OPT += --force
JUICER_OPT += --skip-verification
# JUICER_OPT += --minifyer none

MINIFY := juicer merge $(JUICER_OPT) --arguments "$(MINIFY_OPT)"

SRC := \
	$(wildcard editors/inkscape/*.py) \
	$(wildcard editors/inkscape/extras/*.py) \
	$(wildcard editors/inkscape/*.inx) \
	$(wildcard editors/inkscape/*.png) \
	$(wildcard editors/inkscape/extras/*.inx) \
	$(wildcard doc/install*.html) \
	$(wildcard doc/*license.txt) \
	$(wildcard player/js/extras/*.js) \
	player/js/sozi.js \
	player/css/sozi.css

TARGET := $(addprefix release/, $(notdir $(SRC)))

INSTALL_DIR := $(HOME)/.config/inkscape/extensions

TIMESTAMP := release/sozi-timestamp-$(VERSION)

.PHONY: zip verify minify install timestamp clean

all: zip

zip: release/sozi-release-$(VERSION).zip

verify: $(PLAYER_JS) $(EXTRAS_JS)
	juicer verify $^

minify: release/sozi.js release/sozi.css

install: $(TARGET)
	cp release/*.inx $(INSTALL_DIR)
	cp release/*.py $(INSTALL_DIR)
	cp release/*.js $(INSTALL_DIR)
	cp release/*.css $(INSTALL_DIR)
	cp release/*.svg $(INSTALL_DIR)

timestamp: release/sozi-timestamp-$(VERSION)

$(TIMESTAMP):
	touch $@
	
release/sozi-release-$(VERSION).zip: $(TARGET)
	cd release ; zip $(notdir $@) $(notdir $^)

release/sozi.js: $(PLAYER_JS)
	$(MINIFY) --output $@ player/js/sozi.js

release/%.css: player/css/%.css
	$(MINIFY) --output $@ $<

release/%.js: player/js/extras/%.js
	$(MINIFY) --output $@ $<

release/%.py: editors/inkscape/%.py $(TIMESTAMP)
	sed "s/{{SOZI_VERSION}}/$(VERSION)/g" $< > $@

release/%.py: editors/inkscape/extras/%.py $(TIMESTAMP)
	sed "s/{{SOZI_VERSION}}/$(VERSION)/g" $< > $@

release/%.inx: editors/inkscape/%.inx
	cp $< $@

release/%.inx: editors/inkscape/extras/%.inx
	cp $< $@
	
release/%.png: editors/inkscape/%.png
	cp $< $@

release/%: doc/%
	cp $< $@

clean:
	rm -f $(TARGET) release/sozi-timestamp-*

=== doc/CMakeLists.txt ===
SET(sozi_doc_files ${CMAKE_CURRENT_SOURCE_DIR}/GPL-license.txt  
                   ${CMAKE_CURRENT_SOURCE_DIR}/MIT-license.txt  
                   ${PROJECT_SOURCE_DIR}/README)

### Hugly hack
SET(sozi_doc_files ${sozi_doc_files} PARENT_SCOPE)

INSTALL(FILES ${sozi_doc_files}
        DESTINATION share/doc/sozi
        COMPONENT doc)

=== editors/CMakeLists.txt ===
ADD_SUBDIRECTORY(inkscape)

=== player/CMakeLists.txt ===
################################################################################
#
#  Type of minifier option
#
################################################################################

SET(minifier_type "juicer" CACHE STRING "Wich minifier to use : juicer, yuicompressor, sed")

IF(${minifier_type} STREQUAL "juicer")

  MESSAGE(STATUS "juicer minifier")
  SET(minifier "juicer" CACHE FILEPATH "Path to juicer minifier" )

ELSEIF(${minifier_type} STREQUAL "yuicompressor")

  MESSAGE(STATUS "yuicompressor minifier")
  SET(minifier "yuicompressor-2.4.6.jar" CACHE FILEPATH "Path to yuicompressor minifier")

ELSE()

  MESSAGE(WARNING "Default minifier")
  SET(minifier "sed")

ENDIF()

################################################################################
#
#  Build sozi player engine
#
################################################################################

################################################################################
### The sozi_player_files variable contains all output files
################################################################################

SET(sozi_player_files "" PARENT_SCOPE)

################################################################################
### The sozi.version output file contains the version string
################################################################################

ADD_CUSTOM_COMMAND(
  OUTPUT    sozi.version
  COMMAND   echo ${SOZI_VERSION} > sozi.version
)

LIST(APPEND sozi_player_files ${CMAKE_CURRENT_BINARY_DIR}/sozi.version)

################################################################################
### The sozi.js output file contains the javascript sozi engine
################################################################################

# The order is important because of dependencies (in case we don't use juicer)
# This list can be obtained by running juicer list player/js/sozi.js
SET(sozi_js ${CMAKE_CURRENT_SOURCE_DIR}/js/module.js
			${CMAKE_CURRENT_SOURCE_DIR}/js/events.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/framenumber.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/framelist.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/animation.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/display.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/player.js  
            ${CMAKE_CURRENT_SOURCE_DIR}/js/actions.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/document.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/location.js 
            ${CMAKE_CURRENT_SOURCE_DIR}/js/sozi.js)

ADD_CUSTOM_COMMAND(
  OUTPUT    sozi.js
  DEPENDS   ${sozi_js}
  COMMAND   ${CMAKE_CURRENT_SOURCE_DIR}/tools/minifier ${minifier} sozi.js ${sozi_js}
)

LIST(APPEND sozi_player_files ${CMAKE_CURRENT_BINARY_DIR}/sozi.js)

################################################################################
### The sozi.css output file contains the sozi style sheet
################################################################################

SET(sozi_css ${CMAKE_CURRENT_SOURCE_DIR}/css/sozi.css)

ADD_CUSTOM_COMMAND(
  OUTPUT    sozi.css
  DEPENDS   ${sozi_css}
  COMMAND   ${CMAKE_CURRENT_SOURCE_DIR}/tools/minifier ${minifier} sozi.css ${sozi_css}
)

LIST(APPEND sozi_player_files ${CMAKE_CURRENT_BINARY_DIR}/sozi.css)

################################################################################
### The sozi_extras_addvideo.js output file contain code for inserting video
################################################################################

SET(sozi_extras_addvideo_js ${CMAKE_CURRENT_SOURCE_DIR}/js/extras/sozi_extras_addvideo.js) 

ADD_CUSTOM_COMMAND(
  OUTPUT    sozi_extras_addvideo.js
  DEPENDS   ${sozi_extras_addvideo_js}
  COMMAND   ${CMAKE_CURRENT_SOURCE_DIR}/tools/minifier ${minifier} sozi_extras_addvideo.js ${sozi_extras_addvideo_js}
)

LIST(APPEND sozi_player_files ${CMAKE_CURRENT_BINARY_DIR}/sozi_extras_addvideo.js)

################################################################################
### The player core target
################################################################################

ADD_CUSTOM_TARGET(sozi_player ALL DEPENDS ${sozi_player_files})

INSTALL(FILES ${sozi_player_files}
        DESTINATION share/sozi
        COMPONENT player)

### Ugly hack because cmake don't keep PARENT_SCOPE with LIST(APPEND...
SET(sozi_player_files ${sozi_player_files} PARENT_SCOPE)

################################################################################
#
#  Build sozi player headers
#
################################################################################

################################################################################
### The sozi_player_files global variable contains all output files
################################################################################

SET(sozi_header_files "" PARENT_SCOPE)

################################################################################
### The sozi.h output file contain binary of the player engine for c integration
################################################################################

ADD_CUSTOM_COMMAND(
  OUTPUT    sozi.h
  DEPENDS   ${sozi_player_files}
  COMMAND   ${CMAKE_CURRENT_SOURCE_DIR}/tools/header sozi.h ${sozi_player_files}
)

LIST(APPEND sozi_header_files ${CMAKE_CURRENT_BINARY_DIR}/sozi.h)

################################################################################
### The player header target
################################################################################

ADD_CUSTOM_TARGET(sozi_header ALL DEPENDS ${sozi_header_files})

INSTALL(FILES ${sozi_header_files}
        DESTINATION include
        COMPONENT player)

### Ugly hack because cmake don't keep PARENT_SCOPE with LIST(APPEND...
SET(sozi_header_files ${sozi_header_files} PARENT_SCOPE)

=== editors/inkscape/CMakeLists.txt ===
################################################################################
### The sozi.py output file contains the sozi inkscape integration
################################################################################

ADD_CUSTOM_COMMAND(
   OUTPUT    sozi_upgrade.py
   DEPENDS   ${CMAKE_CURRENT_SOURCE_DIR}/sozi_upgrade.py
   COMMAND   sed -e 's/{{SOZI_VERSION}}/${SOZI_VERSION}/g' ${CMAKE_CURRENT_SOURCE_DIR}/sozi_upgrade.py > sozi_upgrade.py
)

ADD_CUSTOM_COMMAND(
   OUTPUT    sozi_extras_addvideo_upgrade.py
   DEPENDS   ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_addvideo_upgrade.py
   COMMAND   sed -e 's/{{SOZI_VERSION}}/${SOZI_VERSION}/g' ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_addvideo_upgrade.py > sozi_extras_addvideo_upgrade.py
)

SET(sozi_inkscape_files ${CMAKE_CURRENT_SOURCE_DIR}/sozi.inx
                        ${CMAKE_CURRENT_SOURCE_DIR}/sozi.py 
                        ${CMAKE_CURRENT_SOURCE_DIR}/sozi.py.png
                        ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_addvideo.inx
                        ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_addvideo.py
                        ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_upgrade.inx
                        ${CMAKE_CURRENT_SOURCE_DIR}/extras/sozi_extras_upgrade.py
                        ${CMAKE_CURRENT_BINARY_DIR}/sozi_upgrade.py
                        ${CMAKE_CURRENT_BINARY_DIR}/sozi_extras_addvideo_upgrade.py)

################################################################################
### The inkscape integration files target
################################################################################

#MESSAGE(WARNING "sozi_inkscape_files=${sozi_inkscape_files} sozi_player_files=${sozi_player_files}")

ADD_CUSTOM_TARGET(sozi_inkscape ALL DEPENDS ${sozi_inkscape_files} ${sozi_player_files})

INSTALL(FILES ${sozi_inkscape_files}
              ${sozi_player_files}
              ${sozi_doc_files}
	    DESTINATION share/inkscape/extensions
        COMPONENT inkscape_integration)

=== debian/changelog ===
sozi (12.05-1) unstable; urgency=low

  * New upstream release (Closes: #676002)
  * README.source
    - Explain why the orig tarball is repackaged.
  * debian/copyright
    - Update Format url.
  * debian/control
    - Update Standards-Version to 3.9.3.
    - Add Depends python-lxml (Closes: #676354).

 -- Kan-Ru Chen <koster@debian.org>  Tue, 12 Jun 2012 18:04:46 +0800

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Kan-Ru Chen <koster@debian.org>
 Build-Depends: debhelper (>= 8.0.0), yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://sozi.baierouge.fr/wiki/en:welcome
 Vcs-Git: git://git.debian.org/collab-maint/sozi.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/sozi.git;a=summary
 
 Package: sozi
 Architecture: all
-Depends: ${misc:Depends}, inkscape, python, python-gtk2
+Depends: ${misc:Depends}, inkscape, python, python-gtk2, python-lxml
 Description: inkscape extension for creating animated presentations
  Unlike in most presentation applications, a Sozi document is not
  organized as a slideshow, but rather as a poster where the content of

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 override_dh_auto_build:
 	mkdir release
-	make
+	make build
 
 override_dh_auto_clean:
 	rm -rf release
@@ -15,3 +15,15 @@
 
 %:
 	dh $@ 
+
+VER ?= 12.05
+get-orig-source:
+	rm -rf sozi-$(VER).orig
+	mkdir sozi-$(VER).orig
+	wget -O - https://github.com/senshu/Sozi/tarball/$(VER) | tar --strip-components=1 -xz -C sozi-$(VER).orig
+	rm -rf sozi-$(VER).orig/editors/svg-edit
+	GZIP=--best tar -cz --owner root --group root --mode a+rX \
+			-f sozi_$(VER).orig.tar.gz \
+			sozi-$(VER).orig
+	rm -r sozi-$(VER).orig
+

=== debian/watch ===
version=3
http://sozi.baierouge.fr/wiki/en:install https://github.*sozi-release-(.*)-\d+.zip
